Would be nice to get help for one specific package fx. './flow3 help kickstarter' would display only the kickstart part of the help screen,
maybe with some additional info about the commands
Revision e382d9fe - 2012-03-14 19:33 - Bastian Waidelich

[FEATURE] Package help in CLI

This extends the CLI to display a list of all commands of a
specified package including their short description.
Also if more commands match a given identifier, now the list
of all matching commands with short descriptions is displayed.

Change-Id: I9bdb976f7a02b2c4704c3234641aafbaafe245ec
Resolves: #30256
Releases: 1.1

History
#1 - 2011-09-24 19:07 - Bastian Waidelich
- Category set to Command

Nice idea, I would even go one further and allow to specify the controller too (e.g. "typo.flow:package" or just "package").
Do you have a concrete idea on what should be outputted? We have short description (the first line of the command method annotation), description
(the rest of the annotation) command identifier, usage, arguments and related commands.

Currently flow3 help package:create outputs:

Create a new package

COMMAND:
  typo3.flow3:package:create

USAGE:
  ./flow3 package:create <package key>

ARGUMENTS:
  --package-key        The package key of the package to create
DESCRIPTION:
  This command creates a new package which contains only the mandatory
  directories and files.

SEE ALSO:
  typo3.kickstart:kickstart:package (Command not available)

What would flow3 help package return?
Maybe something like:

"PACKAGE" COMMANDS OF THE "TYPO3.FLOW3" PACKAGE:
-------------------------------------------------------------------------------

  package:create                           Create a new package

    USAGE:
      ./flow3 package:create <package key>
    ARGUMENTS:
      --package-key        The package key of the package to create
    DESCRIPTION:
      This command creates a new package which contains only the mandatory
      directories and files.

  package:delete                           Delete an existing package

    USAGE:
      ./flow3 package:delete <package key>
    ARGUMENTS:
      --package-key        The package key of the package to create
    DESCRIPTION:
      This command deletes an existing package identified by the package key.

[...]

A bit confusing like this.. any idea on how to structure this and what infos to include?

#2 - 2011-10-11 08:30 - Robert Lemke

I think that, for the sake of simplicity, it should output a list of commands similar to what the current help index produces.

#3 - 2012-03-07 16:10 - Karsten Dambekalns
- Status changed from New to On Hold
- Has patch set to No

#4 - 2012-03-14 16:14 - Christian Müller
Shouldn't we even close this, with the per command help screen we support already?

#5 - 2012-03-14 16:38 - Christian Jul Jensen

Nooooo! I still want this :)

The use-case is this: I know I want to use some command in the kickstarter package, but I can't remember the name or eactly which one. Currently I
can only get the full list or the specific command.

The is already long, imagine when you have 50 packages installed.

I agree with robert that it should just be the short version of the full list.

Just ignore for now, I will make the patch myself some day when I get annoyed enough.

#6 - 2012-03-14 19:28 - Bastian Waidelich
- Status changed from On Hold to Accepted
- Assigned To set to Bastian Waidelich

Showing some mercy to Julle ;)

#7 - 2012-03-14 19:33 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9653

#8 - 2012-05-08 17:34 - Bastian Waidelich
- Status changed from Under Review to Resolved
- Target version set to 1.1
- % Done changed from 0 to 100
